<?php
/**
 * This is the entrypoint for the locrMAPS for WooCommerce WordPress plugin.
 *
 * @package locrMAPS for WooCommerce
 */

declare(strict_types=1);

namespace Locr\WordPress\Plugin\LocrMapsForWooCommerce\Frontend;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * This class is responsible for the style.
 */
final class Script {
	/**
	 * This is the constructor of the Script class.
	 */
	public static function init(): void {
		wp_enqueue_script_module(
			id: 'locrmaps-add-to-cart',
			src: plugin_dir_url( dirname( __DIR__ ) ) . 'public/js/locrmaps_add_to_cart.js',
			version: md5_file( plugin_dir_path( dirname( __DIR__ ) ) . 'public/js/locrmaps_add_to_cart.js' )
		);

		wp_enqueue_script_module(
			id: 'locrmaps-icons-init',
			src: plugin_dir_url( dirname( __DIR__ ) ) . 'public/js/locrmaps_icons_init.js',
			version: md5_file( plugin_dir_path( dirname( __DIR__ ) ) . 'public/js/locrmaps_icons_init.js' )
		);
		wp_enqueue_script_module(
			id: 'locrmaps-overlay-templates-init',
			src: plugin_dir_url( dirname( __DIR__ ) ) . 'public/js/locrmaps_overlay_templates_init.js',
			version: md5_file( plugin_dir_path( dirname( __DIR__ ) ) . 'public/js/locrmaps_overlay_templates_init.js' )
		);
		wp_enqueue_script_module(
			id: 'locrmaps-sizes-init',
			src: plugin_dir_url( dirname( __DIR__ ) ) . 'public/js/locrmaps_sizes_init.js',
			version: md5_file( plugin_dir_path( dirname( __DIR__ ) ) . 'public/js/locrmaps_sizes_init.js' )
		);
		wp_enqueue_script_module(
			id: 'locrmaps-styles-init',
			src: plugin_dir_url( dirname( __DIR__ ) ) . 'public/js/locrmaps_styles_init.js',
			version: md5_file( plugin_dir_path( dirname( __DIR__ ) ) . 'public/js/locrmaps_styles_init.js' )
		);
		wp_enqueue_script_module(
			id: 'locrmaps-overlay-templates-base-colors-init',
			src: plugin_dir_url( dirname( __DIR__ ) ) . 'public/js/locrmaps_overlay_templates_base_colors_init.js',
			version: md5_file( plugin_dir_path( dirname( __DIR__ ) ) . 'public/js/locrmaps_overlay_templates_base_colors_init.js' )
		);
		wp_enqueue_script_module(
			id: 'locrmaps-overlay-templates-text-colors-init',
			src: plugin_dir_url( dirname( __DIR__ ) ) . 'public/js/locrmaps_overlay_templates_text_colors_init.js',
			version: md5_file( plugin_dir_path( dirname( __DIR__ ) ) . 'public/js/locrmaps_overlay_templates_text_colors_init.js' )
		);
		wp_enqueue_script_module(
			id: 'locrmaps-text-overlays-init',
			src: plugin_dir_url( dirname( __DIR__ ) ) . 'public/js/locrmaps_text_overlays_init.js',
			version: md5_file( plugin_dir_path( dirname( __DIR__ ) ) . 'public/js/locrmaps_text_overlays_init.js' )
		);
	}
}
